收藏
回答

如何提示用户有新版本需要更新?

问题模块 框架类型 终端类型 操作系统 微信版本 基础库版本
框架 小程序 客户端 6.5 1.9



如果是需求:


   看了运行机制只能冷启动才能更新微信小程序新版本,

  现在发布了最新版本,或bug修复老用户是无感的,还是打开的是老版本, 除非自己的后台写接口弹通知用户有更新, 这样用户体验不好,

   有没有不冷启动能够直接热更新 新版本的方法?


* 你希望有什么能力?


  发布了新版本, 提示用户有新版本发布, 需要更新;

  或者后台能不能控制用户强制更新;

  或者有强制更新的接口也可以.


* 你需要这个能力的场景是 ?

  又bug修复时,小程序自动更新为最新版本


最后一次编辑于  2018-02-09
回答关注问题邀请回答
收藏

3 个回答

  • yu
    yu
    2018-02-09

    原生还在做跳转下载链接, 是比较差的用户体验了

    2018-02-09
    赞同
    回复
  • yu
    yu
    2018-02-09

    原生的哪里还有跳转下载链接, 最多让用户点是否更新,

    小程序起码没有这样的接口, 连询问用户是否更新的接口都没有, 让用户删除你的小程序再找回来加载冷启动不是很麻烦吗?

    2018-02-09
    赞同
    回复
  • 白山的天很蓝
    白山的天很蓝
    2018-02-09

    其实这种冷启动感觉比原生提示更新然后跳转下载链接要方便   可以在个人中心增加一个消息推送栏  用户查看之后指引用户冷启动

    2018-02-09
    赞同
    回复